Search by IFSC Code
Introduction
The Signzy BankSearchs API allows you to search for bank details based on IFSC code You can use this API to retrieve bank details for a specific bank or branch. The API provides a secure and fast way to access bank information and can be integrated into your application or website.
Sample cURL
curl --location --request POST 'https://signzy.tech/api/v2/patrons/..your-patron-id../banksearchs' \
--header 'Authorization: <Access-Token>' \
--header 'content-type: application/json' \
--data-raw '{"task":"ifscCode","essentials":{"ifscCode":"...ifscCode..."}}'Parameter name | Parameter value |
|---|---|
ifscCode | The IFSC code you want to search for |
Access-Token | A valid access token for the API |
patronId | The ID of your patron account on the API service |
Sample Response
{
"result": {
"bankName": "..bankName...",
"address": "..address..",
"state": "..state..",
"district": "..district...",
"branch": "..branch...",
"contact": "..contact..",
"ifscCode": "..ifscCode...",
"micrCode": "..micrCode...",
"splitAddress": {
"state": [
[]
],
"district": [],
"city": [],
"pincode": "...pincode...",
"country": [
"IN",
"IND",
"INDIA"
],
"addressLine": "...addressLine..."
}
}
}Parameter name | Parameter value | Example value |
|---|---|---|
bankName | The name of the bank | "HDFC Bank" |
address | The address of the bank branch | "123 Main St, New Delhi" |
state | The state where the bank branch is located | "Delhi" |
district | The district where the bank branch is located | "South Delhi" |
branch | The name of the bank branch | "Nehru Place" |
contact | The contact number for the bank branch | "0123456789" |
ifscCode | The IFSC code of the bank branch | "HDFC0000123" |
micrCode | The MICR code of the bank branch | "110240034" |
splitAddress.state | An array of states that the address includes | ["Delhi"] |
splitAddress.district | An array of districts that the address includes | ["South Delhi"] |
splitAddress.city | An array of cities that the address includes | [] |
splitAddress.pincode | The postal code of the address | "110019" |
splitAddress.country | An array of possible country codes for the address | ["IN", "IND", "INDIA"] |
splitAddress.addressLine | The address line of the bank branch | "123 Main St, Nehru Place" |